

/* Wiring of the DS1621 

	SDA ( DATA )  - SELECT ( Control )
	SCL ( CLOCK ) - DATA7  ( Data )
	POWER		  - PRINTER INIT
*/

	

#define I2C_DEVICE_DS1621       0x90
#define I2C_WRITE                  0
#define I2C_READ                   1


#define DS1621_ADDR				5


#define CMD_READ_LAST_TEMPERATURE		0xAA
#define CMD_START_CONVERSION			0xEE
#define CMD_READ_COUNTER				0xA8
#define CMD_READ_SLOPE					0xA9
#define CMD_READ_CFG					0xAC
#define CMD_WRITE_CFG					0xAC		// Write and Read commands are the same 


ERRCODE Temperature( short lptPort, short* pTemp );
